Package org.apache.storm.generated

## Class NodeInfo

- java.lang.Object
- - org.apache.storm.generated.NodeInfo

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `Comparable<NodeInfo>`, `org.apache.storm.thrift.TBase<NodeInfo,​NodeInfo._Fields>`, `org.apache.storm.thrift.TSerializable`

      @Generated("Autogenerated by Thrift Compiler (0.19.0)")
      public class NodeInfo
      extends Object
      implements org.apache.storm.thrift.TBase<NodeInfo,​NodeInfo._Fields>, Serializable, Cloneable, Comparable<NodeInfo>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `NodeInfo._Fields` | The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Map<NodeInfo._Fields,​org.apache.storm.thrift.meta_data.FieldMetaData>` | `metaDataMap` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NodeInfo()` |
    `NodeInfo​(String node, Set<Long> port)` |
    `NodeInfo​(NodeInfo other)` | Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add_to_port​(long elem)` |
    `void` | `clear()` |
    `int` | `compareTo​(NodeInfo other)` |
    `NodeInfo` | `deepCopy()` |
    `boolean` | `equals​(Object that)` |
    `boolean` | `equals​(NodeInfo that)` |
    `NodeInfo._Fields` | `fieldForId​(int fieldId)` |
    `String` | `get_node()` |
    `Set<Long>` | `get_port()` |
    `Iterator<Long>` | `get_port_iterator()` |
    `int` | `get_port_size()` |
    `Object` | `getFieldValue​(NodeInfo._Fields field)` |
    `int` | `hashCode()` |
    `boolean` | `is_set_node()` | Returns true if field node is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_port()` | Returns true if field port is set (has been assigned a value) and false otherwise
    `boolean` | `isSet​(NodeInfo._Fields field)` | Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `void` | `read​(org.apache.storm.thrift.protocol.TProtocol iprot)` |
    `void` | `set_node​(String node)` |
    `void` | `set_node_isSet​(boolean value)` |
    `void` | `set_port​(Set<Long> port)` |
    `void` | `set_port_isSet​(boolean value)` |
    `void` | `setFieldValue​(NodeInfo._Fields field, Object value)` |
    `String` | `toString()` |
    `void` | `unset_node()` |
    `void` | `unset_port()` |
    `void` | `validate()` |
    `void` | `write​(org.apache.storm.thrift.protocol.TProtocol oprot)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metaDataMap

          public static final Map<NodeInfo._Fields,​org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### NodeInfo

          public NodeInfo()

    - #### NodeInfo

          public NodeInfo​(String node,
                          Set<Long> port)

    - #### NodeInfo

          public NodeInfo​(NodeInfo other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public NodeInfo deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.storm.thrift.TBase<NodeInfo,​NodeInfo._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.storm.thrift.TBase<NodeInfo,​NodeInfo._Fields>`

    - #### get_node

          public String get_node()

    - #### set_node

          public void set_node​(String node)

    - #### unset_node

          public void unset_node()

    - #### is_set_node

          public boolean is_set_node()

      Returns true if field node is set (has been assigned a value) and false otherwise

    - #### set_node_isSet

          public void set_node_isSet​(boolean value)

    - #### get_port_size

          public int get_port_size()

    - #### get_port_iterator

          public Iterator<Long> get_port_iterator()

    - #### add_to_port

          public void add_to_port​(long elem)

    - #### get_port

          public Set<Long> get_port()

    - #### set_port

          public void set_port​(Set<Long> port)

    - #### unset_port

          public void unset_port()

    - #### is_set_port

          public boolean is_set_port()

      Returns true if field port is set (has been assigned a value) and false otherwise

    - #### set_port_isSet

          public void set_port_isSet​(boolean value)

    - #### setFieldValue

          public void setFieldValue​(NodeInfo._Fields field,
                                    Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.storm.thrift.TBase<NodeInfo,​NodeInfo._Fields>`

    - #### getFieldValue

          public Object getFieldValue​(NodeInfo._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.storm.thrift.TBase<NodeInfo,​NodeInfo._Fields>`

    - #### isSet

          public boolean isSet​(NodeInfo._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.storm.thrift.TBase<NodeInfo,​NodeInfo._Fields>`

    - #### equals

          public boolean equals​(Object that)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals​(NodeInfo that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo​(NodeInfo other)

      Specified by:
        `compareTo` in interface `Comparable<NodeInfo>`

    - #### fieldForId

          public NodeInfo._Fields fieldForId​(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.storm.thrift.TBase<NodeInfo,​NodeInfo._Fields>`

    - #### read

          public void read​(org.apache.storm.thrift.protocol.TProtocol iprot)
                    throws org.apache.storm.thrift.TException

      Specified by:
        `read` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### write

          public void write​(org.apache.storm.thrift.protocol.TProtocol oprot)
                     throws org.apache.storm.thrift.TException

      Specified by:
        `write` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### validate

          public void validate()
                        throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`